Subject: Re: IPV6_RTHDR with a type-0 routing header

From: "Steinar H. Gunderson" <[email-masked]>
Date: Thu, 20 Aug 2009 14:18:20 +0200

On Thu, Aug 20, 2009 at 01:29:09PM +0200, Rémi Denis-Courmont wrote:
>> I've tried attaching a type-0 routing header to my IPv6 packets with
>> setsockopt(..., IPV6_RTHDR, ...), but the kernel just returns EINVAL.
>> looking at the source, it seems it simply refuses anything that's not
>> type-2;
>> should that really be right? I found the following commit:
> RT0 headers have been deprecated by IETF. The kernel refuses to use then on
> purpose.

Hm, OK. And no replacement has been proposed, the deprecation RFC just refers
to "future routing headers"...

/* Steinar */
-- 
Homepage: http://www.sesse.net/